summaryrefslogtreecommitdiffstats
path: root/system/influxdb/influxdb.SlackBuild
diff options
context:
space:
mode:
author Giuseppe Di Terlizzi2017-04-19 19:19:07 +0200
committer Willy Sudiarto Raharjo2017-04-22 03:10:46 +0200
commitb51c6fe5812025a3548702ab50e2b2d54b2c2c73 (patch)
tree905a05374e50fef9e9817363e7e66d466c380e6e /system/influxdb/influxdb.SlackBuild
parent5e4d5e3ce284370b7d949ec01e26975d30a6bfa5 (diff)
downloadslackbuilds-b51c6fe5812025a3548702ab50e2b2d54b2c2c73.tar.gz
system/influxdb: Added (An Open-Source Time Series Database).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/influxdb/influxdb.SlackBuild')
-rw-r--r--system/influxdb/influxdb.SlackBuild115
1 files changed, 115 insertions, 0 deletions
diff --git a/system/influxdb/influxdb.SlackBuild b/system/influxdb/influxdb.SlackBuild
new file mode 100644
index 0000000000..bc795d028b
--- /dev/null
+++ b/system/influxdb/influxdb.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/sh
+
+# Slackware build script for InfluxDB
+
+# Copyright 2017 Giuseppe Di Terlizzi <giuseppe.diterlizzi@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=influxdb
+VERSION=${VERSION:-1.2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+UIDGID=348
+if ! grep -q ^${PRGNAM}: /etc/group; then
+ echo " You must have the \"$PRGNAM\" group to run this script."
+ echo " # groupadd -g $UIDGID $PRGNAM"
+ exit 1
+elif ! grep -q ^${PRGNAM}: /etc/passwd; then
+ echo " You must have the \"$PRGNAM\" user to run this script."
+ echo " # useradd -u $UIDGID -s /bin/false -d /var/lib/$PRGNAM $PRGNAM"
+ exit 1
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ PKG_ARCH=amd64
+elif [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
+ PKG_ARCH=i386
+else
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${VERSION}*
+tar xvf $CWD/$PRGNAM-${VERSION}_linux_${PKG_ARCH}.tar.gz
+cd $PRGNAM-${VERSION}*
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cp -a . $PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/etc/rc.d
+mv $PKG/usr/lib/influxdb/scripts/init.sh $PKG/etc/rc.d/rc.influxdb.new
+rm -rf $PKG/usr/lib
+
+mv $PKG/usr/share/man $PKG/usr/man
+rmdir $PKG/usr/share
+find $PKG/usr/man -type f -exec gzip -q -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mv $PKG/etc/influxdb/influxdb.conf $PKG/etc/influxdb/influxdb.conf.new
+mv $PKG/etc/logrotate.d/influxdb $PKG/etc/logrotate.d/influxdb.new
+mkdir -p $PKG/etc/default
+cat $CWD/influxdb > $PKG/etc/default/influxdb.new
+
+chown influxdb:influxdb $PKG/var/lib/influxdb
+chmod 0750 $PKG/var/lib/influxdb
+
+chown influxdb:influxdb $PKG/var/log/influxdb
+chmod 0755 $PKG/var/log/influxdb
+
+mkdir -p $PKG/var/run/influxdb
+chown influxdb:influxdb $PKG/var/run/influxdb
+chmod 0750 $PKG/var/run/influxdb
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}